#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <string.h>


int
main(int argc, const char* const* argv)
{
	if (argc < 2) {
		fprintf(stderr, "Usage: %s <path>\n", argv[0]);
		return 1;
	}

	const char* path = argv[1];

	int fd = open(path, O_RDWR);
	if (fd < 0) {
		fprintf(stderr, "Error: Failed to open \"%s\": %s\n", path,
			strerror(errno));
		return 1;
	}

	sleep(3);

	close(fd);

	return 0;
}
